#ifndef LOEMPTYDIALOG_H
#define LOEMPTYDIALOG_H
#include <LoUIClass/customprogressindicator.h>
#include <LoQClass/loqdialog.h>
#include <QTimer>
namespace Ui {
class LoEmptyDialog;
}

class LoEmptyDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit LoEmptyDialog(QWidget *parent = nullptr);
    ~LoEmptyDialog();
    CustomProgressIndicator *m_pIndicator = nullptr;
    virtual int exec() override { emit startUp(); return LoQDialog::exec(); }
    void DeleteSelf(const LoEmptyDialog *p);
private:
    Ui::LoEmptyDialog *ui;
    int iClosedFlag=0;
    bool iLockFlag=false;
    /*延时关闭定时器*/
    QTimer *m_pTimer;
    QString m_strUnLockTip="";
    QString m_strTimerOutUnLockTip="";
    LoEmptyDialog *m_pSelf=nullptr;
    void CloseWndByDelaySec(int iCloseWndDelaySec);
signals:
    void startUp();
    void sigClose();
public slots:
    void lock(QString strTip,QString strUnLockTip,QString strTimerOutUnLockTip);
    void unlock();
    void TimerOutUnlock();
    bool getLockStatus();
    void SetFailedTipString(QString strTip);
     void SetTipTextContent(QString strTip);
     void CloseDlg();

};

#endif // LOEMPTYDIALOG_H
